/*
	File:		AIFF_writer.r

	Contains:	Defines needed to make a fat sound output component 'thng' resource.

	Written by: Mark Cookson	

	Copyright:	Copyright 1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/16/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#define UseExtendedThingResource	1					// we want the extended thng resource
#define SystemSevenOrLater 			1					// we only run with System 7, right?
#define FATCOMPONENT				0

#include <SysTypes.r>
#include <Types.r>
#include <Components.r>

#define kAIFFWriterComponentID	128
#define kAIFFWriterSubType		'AIFW'					/* OS Type for component */

#define kAIFFWriterVersion		0x00010000				/* version for this sifter */
#define kManufacturerType		'appl'					// manufacturer

#define k68KCodeResType			'cdec'
#define kPPCCodeResType			'cdek'

// AIFF writer output component, 68K, PPC

resource 'thng' (kAIFFWriterComponentID, "AIFF writer") {
	kSoundOutputDeviceType, kAIFFWriterSubType, kManufacturerType,			// types
	cmpWantsRegisterMessage, kAnyComponentFlagsMask,						// flags
	k68KCodeResType,	kAIFFWriterComponentID,								// 68K code
	'STR ',				kAIFFWriterComponentID,								// name
	'STR ',	 			kAIFFWriterComponentID+1,							// info
	'ICON', 			kAIFFWriterComponentID,								// icon
	kAIFFWriterVersion,														// version
	componentDoAutoVersion | componentHasMultiplePlatforms,					// registration flags
	0,																		// icon
	{
#ifdef FATCOMPONENT
		cmpWantsRegisterMessage,											// flags
		k68KCodeResType,	kAIFFWriterComponentID,							// code
		platform68k,														// platform
#endif
		cmpWantsRegisterMessage,											// flags
		kPPCCodeResType,	kAIFFWriterComponentID,							// code
		platformPowerPC														// platform
	};
};
