/*
	File:		VU-Meter.h

	Contains:	Sample pre-mixer sound component

	Written by: Mark Cookson	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/20/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

// this header is shared by C and Rez

#pragma once
#define kSoundComponentVersion	0x00010000		// version for this sound component

// codec type and Get/SetInfo selector, needs to be unique
// your component's file type should be registered with DTS
// this value is unique and can be used for your component's sub-type and selector

#define kVUSelectorSubType				'VMtr'			
#ifndef REZ
typedef struct {
// these are general purpose variables that every sound component will need
	ComponentInstance		sourceComponent;			// component to call when we need more data
	Handle					globalsHandle;				// handle to component globals
	short					peakSampleLeft;
	short					peakSampleRight;
} SoundComponentGlobals, *SoundComponentGlobalsPtr;
#endif