/*
	File:		Language.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/2/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef __LANGUAGE__
#define __LANGUAGE__

#include <Resources.h>
#include <Speech.h>
#include <String.h>
#include <TextUtils.h>

#ifndef __STRUCT__
#include "Struct.h"
#endif

#ifndef __SPEAKINGERRORS__
#include "Speaking_Errors.h"
#endif

#define kBaseResID		128
#define kLanguageRes	'STR#'
#define kTREEType		'LANG'

OSErr		MakeNewLanguage			(SpeechInfoPtr theSpeechInfo);
OSErr		AddStringsToLanguage	(SpeechInfoPtr theSpeechInfo,
									LanguageModelListPtr currentLang,
									short resID);
OSErr		ReadInLanguages			(SpeechInfoPtr theSpeechInfo);
OSErr		GetTREERes				(TREEResourcePtr *TREEResPtr,
									short resID,
									short index,
									short *onlySubPath);
OSErr		RegisterCommand			(TREEResourcePtr theTREEResPtr,
									CommandPtr *theCommand);
OSErr		GetFlagsFromTREE		(long *theFlags,
									TREEResourcePtr theTREEResPtr);
OSErr		GetTypeFromTREE			(OSType *theType,
									TREEResourcePtr theTREEResPtr);
OSErr		GetIDFromTREE			(long *theID,
									TREEResourcePtr theTREEResPtr);
OSErr		GetStringFromTREE		(Str255 theString,
									TREEResourcePtr theTREEResPtr);

#endif
