/*
	File:		Listening.c

	Contains:	

	Written by: 	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/2/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef __LISTENING__
#include "Listening.h"
#endif

OSErr		InitSpeechRecognition	(SpeechInfoPtr theSpeechInfo)
{
	OSErr		theErr		= noErr;

	/* Make sure SpeechRecognition Toolbox is available */
	theErr = Gestalt (gestaltSpeechRecognitionVersion, &theSpeechInfo->attributes);
	/* Version number must be at least 1.5 to support Speech Recognition Toolbox API used here. */
	if (theErr == noErr) {
		if (theSpeechInfo->attributes < 0x00000150) {
			theErr = kNotEnoughSpeechVersion;
		}
	}

	return theErr;
}

OSErr		OpenSpeechRecognition	(SpeechInfoPtr theSpeechInfo)
{
	OSErr		theErr		= noErr;

	theErr = SROpenRecognitionSystem (&theSpeechInfo->recogSystem, kSRDefaultRecognitionSystemID);

	return theErr;
}

OSErr		ConfigureRecognition	(SpeechInfoPtr theSpeechInfo)
{
	OSErr		theErr			= noErr;
	short		feedbackModes	= kSRHasFeedbackHasListenModes;

	/* We use the default feedback and listening modes */
	theErr = SRSetProperty (theSpeechInfo->recogSystem, kSRFeedbackAndListeningModes, &feedbackModes, sizeof (feedbackModes));

	return theErr;
}

OSErr		GetNewRecognizer		(SpeechInfoPtr theSpeechInfo)
{
	OSErr		theErr			= noErr;
	Boolean		forground		= false;		//We want to recognize even if in the background

	/* Create a recognizer with default speech source -- e.g. the desktop microphone */
	theErr = SRNewRecognizer (theSpeechInfo->recogSystem, &theSpeechInfo->theRecognizer, kSRDefaultSpeechSource);
	if (theErr == noErr) {
		theErr = SRSetProperty (theSpeechInfo->theRecognizer, kSRForegroundOnly, &forground, sizeof (forground));
	}

	return theErr;
}
