/*
	File:		Struct.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/2/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef __STRUCT__
#define __STRUCT__

#include <AppleEvents.h>
#include "SpeechRecognition.h"

typedef struct LanguageModelList *LanguageModelListPtr;

struct LanguageModelList {
	SRLanguageModel			theLanguage;
	LanguageModelListPtr	nextLanguage;
	short					resID;
};

typedef struct LanguageModelList LanguageModelList;

struct SpeechInfoStruct {
	long					ID;
	SRRecognitionSystem		recogSystem;
	SRRecognizer			theRecognizer;
	LanguageModelListPtr	languages;
	AEEventHandlerUPP		SpeechDoneUPP;
	long					attributes;
};

typedef struct SpeechInfoStruct SpeechInfoStruct;
typedef struct SpeechInfoStruct *SpeechInfoPtr;

struct TREEResource {
	long					flags;
	OSType					type;
	long					ID;
	char					name[1];	/* Variable length field */
};

typedef struct TREEResource TREEResource;
typedef struct TREEResource *TREEResourcePtr;
typedef struct TREEResource **TREEResourceHandle;

struct Command {
	unsigned long	type;
	long			flags,
					ID;
};

typedef struct Command Command;
typedef struct Command *CommandPtr;
typedef struct Command **CommandHdl;

#endif
