/*
	File:		SquareWaveSynthPlay.c

	Contains:	Plays a sound using the squareWaveSynth.
				Sets the timbre with timbreCmd
				Starts playing with the freqCmd

	Written by: Brigham Stevens	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/29/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#include <Dialogs.h>
#include <Sound.h>

void SquareWaveSynthPlay();

void SquareWaveSynthPlay()
{
	SndChannelPtr	chan;
	SndCommand		mycmd;
	unsigned long	count;
	short			change = 0;
	short			err;
	
	
	/* Allocate a channel tied to the squareWaveSynth */
	chan = nil;
	err = SndNewChannel (&chan, squareWaveSynth, 0, nil);
	if (err) {
		DebugStr("\p error SndNewChannel [2]");
		goto bail;
	}
	
	mycmd.cmd = freqCmd;
	mycmd.param1 = 0;
	mycmd.param2 = 50;
	
	err = SndDoImmediate (chan, &mycmd);
	if (err) {
		DebugStr("\p error SndDoImmediate [3]");
		goto bail;
	}
		
	mycmd.cmd = timbreCmd;
	mycmd.param1 = 0;
	mycmd.param2 = 86;
	
	err = SndDoImmediate (chan, &mycmd);
	if (err) {
		DebugStr("\p error SndDoImmediate [3]");
		goto bail;
	}
	
	Delay (180, &count);
		
	err = SndDisposeChannel (chan,false);
	if (err) {
		DebugStr("\p error SndDisposeChannel [2]");
		goto bail;
	}
bail:
	return;
}


void main()
{
	SquareWaveSynthPlay();
}